/* Header */

$menu-brakepoint: 940px;

header {
	position: relative;
	z-index: 666;
	min-height: 170px;
	background-color: $red;
	
	h1 {
		@include text_hide;
		@include reset;
		background: url(../img/logo.png) 0 0 no-repeat;
		position: absolute;
		left: 26px;
		top: 15px;
		z-index: 100;
		width: 248px;
		height: 121px;
		//@include transition (all .333s ease-in-out);
		
		&:hover {
			//@include rotate(15);
		}
	}
	
	div.slogan {
		position: absolute;
		left: 31px;
		top: 134px;
		width: 235px;
		height: 21px;
		background: url('../img/slogan.png') 0 0 no-repeat;
	}
	
	h2,
	h3 {
		@include reset;
		position: absolute;
		left: 165px;
	}
	
	h2 {
		top: 65px;
		text-transform: uppercase;
		@include century($weight: 700, $size: 26px);
	}
	
	h3 {
		top: 113px;
		font: {
			size: 18px;
		}
	}
	
	.switch {
		position: absolute;
		right: 30px;
		top: 42px;
		z-index: 2;
		border: none;
		padding: 0 5px !important;
		height: 28px !important;
		line-height: 28px !important;
		overflow: hidden;
		background: $yellow;
		color: $white;
		cursor: pointer;
		@include century($weight: 700, $size: 14px);
		text-transform: uppercase;
		@include border-radius(0);
		@include shadow(1px, 1px, 3px, 0, rgba($black, 0.55));
		text-shadow: 1px 1px 2px rgba($black, 0.5);
		
		&:after {
			@include icon($fa-var-angle-double-right);
			display: inline-block;
			margin-left: 0.5em;
		}
	}
	
	// SEARCH
	
	.search-box {
		position: absolute;
		right: 183px;
		top: 42px;
		display: inline-block;
		margin-bottom: 15px;
	}
	
	#searchform {
		position: relative;
		display: inline-block;
		padding-right: 33px;
		height: 30px;
		width: 260px;
		
		@include border_radius(4px 15px 15px 4px);
		@include border-box;
		
		div {
			white-space: nowrap;
		}
		
		label {
			display: none;
		}
		
		input[type="text"] {
			border: none;
			padding: 0 3px 0 10px;
			width: 178px;
			height: 28px;
			background: $white;
			font-size: 15px;
			//color: darken($grey6, 20%);
			@include border-box;
			@include border-radius(0);
		}
		
		input[type="submit"] {
			position: absolute;
			right: 0;
			top: 0;
			z-index: 2;
			border: none;
			padding: 0 5px !important;
			height: 28px !important;
			line-height: 29px !important;
			overflow: hidden;
			background: $blue;
			color: $white;
			cursor: pointer;
			@include century($weight: bold, $size: 14px);
			text-transform: uppercase;
			@include border-radius(0);
			@include shadow(1px, 1px, 3px, 0, rgba($black, 0.55));
		}
		
		&:before {
			@include icon($fa-var-search);
			position: absolute;
			right: 0;
			top: 0;
			z-index: 1;
			display: block;
			width: 33px;
			height: 30px;
			line-height: 29px;
			text-align: center;
			font-size: 16px;
			//background-color: $grey6;
			color: $white;
			
			@include border_radius(0 15px 15px 0);
		}
	}
	
	&.parents {
		@media all and (min-width: ($menu-brakepoint + 1px) ) {
			.search-box {
				right: 206px;
			}
		
			#searchform {
				width: 390px;
			
				input[type="text"] {
					width: 308px;
				}
			}
		}
	}
	
	@media all and (max-width: $menu-brakepoint) {
		min-height: 140px + 170px;
		
		h1 {
			left: 50%;
			margin-left: -124px;
		}
	
		div.slogan {
			left: 50%;
			margin-left: -117px;
		}
		
		.search-box {
			right: 15px !important;
			top: 175px;
		}
		
		.switch {
			position: absolute;
			right: 15px;
			top: 218px;
		}
	}
}

nav#main_menu {
	
	@media all and (max-width: $menu-brakepoint) {
		@include reset(list-light);
		position: relative;
		margin-top: 250px;
		padding-top: 50px;
		
		.menu_trigger {
			
			position: absolute;
			top: 12px;
			right: 15px;
			z-index: 2;
			border: none;
			padding: 0 5px !important;
			height: 28px !important;
			line-height: 28px !important;
			overflow: hidden;
			background: $yellow;
			color: $white;
			cursor: pointer;
			@include century($weight: 700, $size: 14px);
			text-transform: uppercase;
			@include border-radius(0);
			@include shadow(1px, 1px, 3px, 0, rgba($black, 0.55));
			text-shadow: 1px 1px 2px rgba($black, 0.5);
			
			&:after {
				@include icon($fa-var-reorder);
				display: inline-block;
				margin-left: 0.5em;
			}
			
			&:hover,
			body.open & {
				//color: $active;
			}
			
			body.open & {
				&:after {
					@include icon($fa-var-times);
				}
			}
		}
		
		ul {
			display: none;
			@include reset;
		}
		
		body.open & ul {
			display: block;
		}
		
		ul li {
			display: block;
			line-height: 40px;
			text: {
				transform: uppercase;
				align: center;
			}
			@include comforta($weight: 700);
			
			a {
				display: block;
				color: $black;
				@include transition(color 0.2s linear);
				border: none;
				padding: 0 5px !important;
				height: 36px !important;
				line-height: 36px !important;
				overflow: hidden;
				background: $yellow;
				color: $white;
				cursor: pointer;
				@include century($weight: 700, $size: 14px);
				text-transform: uppercase;
				@include border-radius(0);
				@include shadow(1px, 1px, 3px, 0, rgba($black, 0.55));
				text-shadow: 1px 1px 2px rgba($black, 0.5);
			}
		
			&:hover > a {
				//color: $active;
			}
		}
	
		ul li ul {
			display: none;
		}
	}
	
	@media all and (min-width: $menu-brakepoint + 1) {
		@include reset(list-light);
		position: absolute;
		right: 30px;
		top: 103px;
		z-index: 50;
		height: 26px;
		width: auto;
		float: none;
		clear: both;
		background-color: $blue;
		@include shadow(1px, 1px, 3px, 0, rgba($black, 0.55));
		
		.menu_trigger {
			display: none;
		}
	
		a {
			color: $white;
			@include single-transition(color, .222s);
		}
		
		.current-menu-item a {
			color: $yellow;
		}
		
		ul {
			text-align: left;
			@include reset;
		}
	
		ul li {
			display: inline-block;
			position: relative;
			padding: 0 12px 0 11px;
			line-height: 29px;
			text-transform: uppercase;
			@include century($weight: bold, $size: 16px);
		
			&:hover > a {
				color: $yellow;
			}
		
			&.first-menu-item {
				padding-left: 4px;
			}
		}
	
		ul li ul {
			display: none;
			position: absolute;
			left: 0;
			top: 26px;
			background-color: lighten($blue, 10%);
			@include shadow(1px, 1px, 2px, 0, rgba($black, 0.55));
			
			li {
				font-size: 0.95em;
			}
			
			a {
				white-space: nowrap;
				
				&:before {
					@include icon($fa-var-caret-right);
					display: inline-block;
					margin-right: 0.5em;
				}
			}
		}
		
		ul li:hover ul {
			display: block;
		}
	}
}

// SOCIAL MENU
	
	nav#social_menu {
		position: absolute;
		right: 624px;
		top: 41px;
		display: inline-block;
		text-align: right;
		@include reset(list_light);
		
		ul {
			display: inline-block;
		}
		
		ul li {
			display: inline-block;
			margin: {
				right: 30px;
				bottom: 10px;
			}
			font-size: 14px;
			
			&:last-child {
				margin-right: 0;
			}
			
			a {
				position: relative;
				display: inline-block;
				padding: 0 32px+7px 0 0;
				height: 32px;
				width: 32px;
				line-height: 32px;
				color: transparent;
				
				
				&:after {
					position: absolute;
					right: 0;
					top: 0;
					content: '';
					display: block;
					width: 32px;
					height: 32px;
					line-height: 33px;
					text-align: center;
					color: $white;
					background-color: $yellow;
					@include border-radius(50%);
					@include transition(background-color 0.3s linear ,color 0.3s linear);
					@include shadow(2px, 2px, 2px, 0, rgba($black, 0.3));
				}
				
				&:hover:after {
					color: $red;
					@include shadow(1px, 1px, 1px, 0, rgba($black, 0.3));
				}
				
				
			}
			
			&#menu-item-22546,
			&#menu-item-20104,
			&#menu-item-22574 {
				a {
					&:after {
						@include icon($fa-var-rocket);
						font-size: 19px;
						line-height: 34px;
					}
				}
			}
			
			&#menu-item-22547,
			&#menu-item-20062,
			&#menu-item-17673 {
				a {
					&:after {
						@include icon($fa-var-envelope-o);
						font-size: 18px;
					}
				}
			}
			
			&#menu-item-20063 {
				a {
					color: $facebook;
					
					&:after {
						background-color: $facebook;
						@include icon($fa-var-facebook);
						font-size: 16px;
					}
					
					&:hover:after {
						color: $facebook;
						background-color: lighten($facebook, 40%);
					}
				}
			}
			
			&#menu-item-22598,
			&#menu-item-22726 {
				a {
					&:after {
						@include icon($fa-var-facebook);
						font-size: 16px;
					}
				}
			}
		}
		
		@media all and (max-width: $menu-brakepoint) {
			right: 180px;
			top: 216px;
		}
	}

